Skip to main content
PUT
/
submission
/
{displayId}
/
{transactionId}
/
driver
/
{driverId}
Update Driver
curl --request PUT \
  --url https://app.coverwhale.com/api/v1/submission/{displayId}/{transactionId}/driver/{driverId} \
  --header 'AccessToken: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name_first": "<string>",
  "name_last": "<string>",
  "driver_license_state": "<string>",
  "driver_license_number": "<string>",
  "driver_date_of_birth": "2023-12-25",
  "covered": "Y",
  "years_cdl_experience": 123,
  "months_cdl_experience": 123,
  "accidents_total": 123,
  "suspensions_total": 123,
  "violations_total": 123,
  "major_violations_total": 123
}
'
{
  "status": "success",
  "driver_id": 123,
  "submission_number": "<string>",
  "transaction_id": 123,
  "updated_fields": [
    "<string>"
  ]
}

Authorizations

AccessToken
string
header
required

AWS Cognito access token obtained from the /authentication endpoint. Token expires after 3600 seconds.

Headers

AccessToken
string
required

Path Parameters

displayId
string
required
transactionId
integer
required
driverId
integer
required

Body

application/json
name_first
string
name_last
string
driver_license_state
string
driver_license_number
string
driver_date_of_birth
string<date>
covered
enum<string>
Available options:
Y,
N
years_cdl_experience
integer
months_cdl_experience
integer
accidents_total
integer
suspensions_total
integer
violations_total
integer
major_violations_total
integer

Response

Driver updated

status
string
Example:

"success"

driver_id
integer
submission_number
string
transaction_id
integer
updated_fields
string[]